Subject: Re: In-depth git blame?

From: Peter Baumann <[email-masked]>
Date: Wed, 2 Mar 2011 22:44:45 +0100

[ Cc Jonas, because he might know more about that ]

On Wed, Mar 02, 2011 at 04:34:37PM -0500, Jeff King wrote:
> On Wed, Mar 02, 2011 at 10:29:51PM +0100, Peter Baumann wrote:
> 
> > > If you use "git gui blame" or "tig blame", both have a "blame from
> > > parent commit" feature. This restarts the blame using the content as
> > > it was just before the answer you just got, so you can recursively
> > > dig.  It's unfortunately a somewhat manual process.
> > > 
> >  
> > Hm. I guess pressing 'B' will blame the parent commit in tig.  But I
> > can't figure out how to navigate back to the old commit (before
> > pressing 'B')?  Any hints appreciated!
> 
> No, it is "," (comma) from the blame viewer in tig to blame starting
> from the parent of the blamed commit of the highlighted line.
> 
Thx, I didn't know that. Your help is really appreciated!

> Doing "B" will just re-blame starting at that commit, which will of
> course give you the same answer (I think it is a global "go to blame
> view", so it is more useful when you are _not_ in the blame viewer
> already).
> 
> And if you are confused at any point, "h" should give you a
> context-sensitive list of keystrokes.
> 
Hm. I did look at the 'h'elp, but it wasn't mentioned there, at least
not in my version (tig version 0.16-9-g7630a8f) here.

> -Peff
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>